RUNDEF Secao01
       SELECTION ALL

/*
PARA CONTAR INDIVDUOS SELECIONADOS DE UM DOMICLIO

Descrio do programa:
Uma varivel de domiclio  calculada como o resultado de uma contagem do nmero de 
pessoas (entidade PESSOA) que satisfaz um dado critrio.
Neste exemplo, o programa calcula o nmero de chefes de domiclio (PESSOA.PARENT=1)
Uma frequencia simples da varivel mostra o resultado.

Nota:
Este programa tambm verifica a consistncia da base de dados.
Deve haver uma pessoa e somente uma pessoa por domiclio que se declare chefe.
*/ 

DEFINE DOMICIL.NCHEFES AS COUNT PESSOA
  FOR PESSOA.PARENT = 1
  TYPE INTEGER

TABLE VERIF AS FREQUENCY OF DOMICIL.NCHEFES

/*
Notas de programao:
1. No comando RUNDEF, a clusula SELECTION ALL pode ser omitida por ser ALL
   por omisso.
2. No comando DEFINE, a clusula TYPE INTEGER tambm pode ser omitida 
   porque TYPE INTEGER  a opo por omisso.
3. Os comandos podiam haver sido escritos em uma nica linha ( somente uma questo de estilo):  
   Rundef Section01 selection all define PDOMICIL.NCHEFES as count PESSOA for PESSOA.PARENT = 1 type integer table verif as frequency of DOMICIL.NCHEFES
4. Entretanto, a recomendao  separar os comandos em linhas diferentes (RUNDEF, DEFINE e TABLE)
5. Como pode ser observado,  possvel usar letras tanto minsculas como maisculas 
   em todas as clusulas de programao. No obstante, no caso dos nomes 
   de entidades e variveis, estes devem ser escritos da mesma maneira que 
   aparecem no dicionrio. 
   Portanto, PESSOA.PARENT no  a mesma coisa que pessoa.parent ou PESSOA.parent.
6. Debe haver pelo menos um espao em branco entre as clusulas de um comando.
7. Os espaos em branco no so necessrios em expresses lgicas (ou aritmticas).
   PESSOA.PARENT = 1
    a mesma coisa que   
   PESSOA.PARENT=1
8. Comentrios podem ser escritos em qualquer parte do programa:
   Os comentrios so escritos em blocos que comeam com um /asterisco e terminam com um asterisco/,
   tal como este comentario aqui  
   (em seus comentrios substitua a palavra "asterisco" por um *).
   Um comentrio tambm pode ser escrito em uma nica linha que comea com um duplo (//)
   // isto  um comentrio
   
Resultados
	Categorias  Casos
	0            2544
	1           11375
	Total       13919
	
Comentrios:
No existem domiclios com mais de um chefe de domiclio.
Porm, existem domiclios sem chefes de domiclio (2.544), o que poderia significar 
que so domiclios coletivos, no ocupados, ou outra condio do censo.
*/
           