RUNDEF Secao08

/*
DERIVAR UMA VARIAVEL BINARIA UTILIZANDO UMA EXPRESSO LGICA

Descrio do programa:
Com este programa obtm-se uma varivel binria (com somente dois
valores possveis). Os valores so similares a verdadeiro/falso, sim/no,
etc. A sintaxe  uma expresso lgica em lugar de 
uma expresso aritmtica, cujo resultado  0 (se falso)
ou 1 (se verdadeiro).
Por exemplo, a expresso PESSOA.IDADE < 15 ser calculada como INTEGER 1
se a expresso  verdadeira, e como INTEGER 0 se  falsa.
Esta funo  muito til ao avaliar uma srie de condies
baseadas em uma varivel original.  um caso particular de RECODE
quando a nova varivel tem somente duas categorias.

O exemplo a seguir deriva uma varivel binria a partir da varivel
sobre a origem da gua no domiclio. Se a origem  "Rede pblica"
o valor da varivel  1, caso contrrio  0. 
*/

DEFINE DOMICIL.PUBL AS DOMICIL.AGUAORIG = 1
   VARLABEL "Disponibilidade de gua por rede pblica"
   TYPE BOOL
   
TABLE VERIF1 AS FREQUENCY OF DOMICIL.PUBL
TABLE VERIF2 AS FREQUENCY OF DOMICIL.AGUAORIG BY DOMICIL.PUBL

/*
Notas de programao:
1. Ao definir a nova varivel como BOOL, o sistema automaticamente
   estabelece a faixa de 0-1 e os rtulos Falso e Verdadeiro.
2. A segunda tabela mostra como as categorias da varivel
   original se transformam na nova varivel. Somente a linha "rede pblica" 
   se converte em "Verdadeira".

Resultados:
VERIF1
    Categorias    Casos      %
    Falso          6354   45,6
    Verdadeiro     7565   54,4
    Total         13919  100,0

VERIF2
Origem da Agua       Disponibilidade de Agua por rede pblica
                     Falso  Verdadeiro  Total
 Sem resposta         2544           -   2544
 Rede pblica            -        7565   7565
 Poo                 2124           -   2124
 Rio                  1467           -   1467
 Outro                 219           -    219
 Total                6354        7565  13919

Comentrios:
1. De acordo com a primeira tabela, 54,4% dos domiclios esto conectados  
   rede pblica. Entretanto, este resultado  desorientador uma vez que,
   como pode ser observado na segunda tabela, existem 2.544 casos que 
   no respondem a esta pergunta (domiclios coletivos, desocupados e outros).
   Ento, para ser mais exatos, estes casos deveriam ser filtrados do DEFINE
   da seguinte maneira:
   DOMICIL.PUBL AS DOMICIL.AGUAORIG = 1
   ...
   FOR DOMICIL.AGUAORIG <> 0
2. Ao fazer isto, a percentagem de domiclios com gua por rede pblica aumenta
   para 66,5%.
*/
