RUNDEF Secao11

/*
CRIAR UMA VARIAVEL PERMANENTE
Chefes de domiclio com cnjuge

Descrio do programa:
Este programa estabelece se o chefe do domiclio tem parceiro/a, 
seja este um cnjuge ou uma pessoa em unio consensual. 
A nova varivel tem duas categorias: 0 se o chefe 
no tem parceiro, e 1 caso tenha parceiro. O resultado  verificado
em duas tabelas.
*/

DEFINE DOMICIL.CONJUGE AS COUNT PESSOA
  FOR PESSOA.PARENT = 2
  RANGE 0-1
  
DEFINE DOMICIL.UNIAO AS COUNT PESSOA
  FOR PESSOA.PARENT = 3
  TYPE INTEGER
  RANGE 0-1
  
DEFINE DOMICIL.COMPAR
  AS ( DOMICIL.CONJUGE <> 0 ) OR ( DOMICIL.UNIAO <> 0 )
  VARLABEL "Chefe com ou sem parceiro"
  TYPE BOOL
  SAVE "DOMICIL_COOMPAR.rbf" OVERWRITE

TABLE VERIF1 AS FREQUENCY OF DOMICIL.UNIAO BY DOMICIL.CONJUGE
TABLE VERIF2 AS FREQUENCY OF DOMICIL.COMPAR

/*
Notas de programao:
1. O programa utiliza duas variveis auxiliares (DOMICIL.CONJUGE e
   DOMICIL.UNIAO) que calculam, respectivamente, o nmero de pessoas
   com a varivel PESSOA.PARENT = 2 (contagem de cnjuges) e com 
   PESSOA.PARENT = 3 (unio consensual).
2. A varivel final  obtida utilizando uma expresso lgica
   (DOMICIL.CONJUGE <> 0) OR DOMICIL.UNIAO <> 0) que ser falsa
   quando dentro do domiclio no exista cnjuge ou pessoa em unio consensual.

Resultados:
VERIF1
UNIAO    CONJUGE		
              0     1     Total
 0         6372  6910     13282
 1          637     -       637
 Total     7009  6910     13919

VERIF2
Categorias      Casos      %
 Falso           6372   45,8
 Verdadero       7547   54,2
 Total          13919  100,0

Comentrios:
1. A primeira tabela mostra que 6372 hogares tem chefe sem parceiro. Este
   nmero  confirmado pela segunda tabela (categoria Falso da varivel).
   Alm disso, esta tabela mostra a percentagem deste tipo de domiclios.
2. Novamente, este nmero  desorientador j que no leva em considerao
   o nmero de domiclios sem chefe. Ao usar um filtro na segunda tabela para
   selecionar somente os domiclios com chefe, obtm-se um resultado diferente. 
   O filtro poderia ser o sexo do chefe de domiclio, criado na Secao10.
   O comando para a segunda tabela :
      TABLE VERIF2 AS FREQUENCY OF DOMICIL.COMPAR
       for DOMICIL.SEXOCH = 1 or DOMICIL.SEXOCH = 2
3. Ao utilizar este filtro a percentagem de domiclios com chefe sem parceiro 
   diminui para 33,7%.
4. No se esquea de salvar o dicionrio depois de executar o programa.
*/
